Subject: Re: Public-key auth draft

From: Vipul Gupta <[email-masked]>
Date: Fri, 4 Aug 2000 11:53:22 -0700 (PDT)

I am entirely to blame for letting this draft expire. After its
   presentation in Oslo there was enough interest to make it
   a working group document. I even exchanged some email with
   the WG chair seeking his input on the changes required for
   that transition.
   
   Unfortunately, soon after that, I got tied up with another project
   at work and let the draft submission deadlines slip. I should 
   have more time now to work on this draft and incorporate WG feedback.
   As for the dependance on the continuation code, subsequent posts
   on the mailing list indicated that the existing spec allows for
   options to be longer than 255 bytes by including the same option
   code multiple times (whether or not existing implementations 
   do what the spec says, I don't know)
   
   thanks,
   
   vipul
   
> From: Richard Johnson <[email-masked]>
> MIME-Version: 1.0
> Content-Transfer-Encoding: 7bit
> Date: Wed, 2 Aug 2000 15:39:36 -0700 (PDT)
> To: [email-masked]
> Subject: Re: Public-key auth draft
> 
> [email-masked] writes:
>  > 
>  > A copy of the (now expired) draft describing
>  > public-key authentication for DHCP is
>  > available at
>  > 
>  > http://playground.sun.com/~vgupta/docs.html
>  > 
>  > I'll resubmit this draft after consulting
>  > with the WG chair.
> 
> Thanks.  By the way, why did this expire?  Was it apathy or maybe the
> dependance on the DHCP Continuation code made it just too complex of
> an issue?  Maybe people weren't convinced it was needed?
> 
> Maybe it's *not* needed.  I just got to thinking recently about what
> has happened at a few IETFs already when someone accidently (or not)
> runs a DHCP server on the net.  It just seems that public key
> authentication of the DHCP server would squash this problem in no
> time.  Especially if the server always uses the same key so it's
> completely predictable as what it will be.
> 
> /raj

---

From: Mike Ford <[email-masked]>
Date: Sun, 6 Aug 2000 22:04:21 -0800

Sorry to intrude, but after a week on this list its becoming clear its
either the wrong place to ask DHCP questions, or that basic questions are
extremely rare. I'll toss out my question hoping the later, monitor the
list for another week, then quietly slink away.

I am running NetBSD 1.4.2 on a mac IIci as a simple NAT firewall for my
cablemodem (Socal Road Runner), and I am curious about having the DHCP
server for my local network get information from the DHCP client that talks
to the cable modem. Is there something I should be running that will pass
information like the DNS addresses from client to server? Thanks for
information, or directions to the correct list to ask at.

---

From: Ted Lemon <[email-masked]>
Date: Mon, 07 Aug 2000 13:11:42 -0400

> I am curious about having the DHCP server for my local network get
> information from the DHCP client that talks to the cable modem.

There's currently no way to do that, although it would be cool,
wouldn't it?

You should really ask questions like this either on the ISC DHCP
server mailing list (since that's what comes with NetBSD) or on a
NetBSD mailing list.  dhcp-v4 is the IETF DHC working group mailing
list for discussing the DHCPv4 protocol, not a support group.

			       _MelloN_